Description

Right now all converter have to be registered before first creation of the RSB Factory, later registered converters are not found.
Reproduce error by changing example source:trunk/cpp/core/examples/protobuf_converter/sender.cpp to first create the informer,
then registering the converter (then run rsb_simpleImagePBSender).

This order is inconvenient if different parts of my program need to register converters for their prupose (e.g. several components
registering converters for their participants). It`s hard to ensure the above order in complex programs.

History
#1 - 03/19/2012 03:30 PM - J. Wienke
- Target version set to rsb-0.7

#2 - 05/10/2012 03:54 PM - J. Wienke
- Status changed from New to In Progress
- Assignee set to J. Wienke

#3 - 05/10/2012 04:34 PM - J. Wienke
- Status changed from In Progress to Rejected

I have to reject this issue now. After closely looking at it it makes complete sense that this cannot work. Once at creation time of a participant a
configuration is passed in. This configuration should actually be static afterwards and should not depend on later changes to e.g. the converter
repository. Otherwise many strange side effects might appear. The repository would then be an evil global variable.

So what might be important is that this actually does not depend on the time of creating the Factory instance, but on the time of creating the Informer
instance! The above given example test case is hence wrong.
